Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | Public Attributes | Protected Member Functions | Protected Attributes | List of all members
eZ\Publish\Core\Search\Common\Indexer Class Reference

Base class for the Search Engine Indexer Service aimed to recreate Search Engine Index. More...

Inheritance diagram for eZ\Publish\Core\Search\Common\Indexer:

## Public Member Functions
| __construct (LoggerInterface $logger, PersistenceHandler $persistenceHandler, DatabaseHandler $databaseHandler, SearchHandler $searchHandler)
| createSearchIndex (OutputInterface $output, $iterationCount, $commit)
| Create search engine index. More...

## Public Attributes
const | CONTENTOBJECT_TABLE = 'ezcontentobject'
const | CONTENTOBJECT_TREE_TABLE = 'ezcontentobject_tree'

## Protected Member Functions
| getContentDbFieldsStmt (array $fields)
| Get PDOStatement to fetch metadata about content objects to be indexed. More...
| getContentLocationIds ($contentObjectId)
| Fetch location Ids for the given content object. More...
| logWarning (ProgressBar $progress, $message)
| Log warning while progress bar is shown. More...

## Protected Attributes
| $logger
| $persistenceHandler
| $databaseHandler
| $searchHandler

## Detailed Description

Base class for the Search Engine Indexer Service aimed to recreate Search Engine Index.

Each Search Engine has to extend it on its own.

Definition at line 22 of file Common/Indexer.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZ\Publish\Core\Search\Common\Indexer::__construct | ( | LoggerInterface | $logger,
|  | PersistenceHandler | $persistenceHandler,
|  | DatabaseHandler | $databaseHandler,
|  | SearchHandler | $searchHandler
| ) |  |

Definition at line 39 of file Common/Indexer.php.

References eZ\Publish\Core\Search\Common\Indexer\$databaseHandler, eZ\Publish\Core\Search\Common\Indexer\$logger, eZ\Publish\Core\Search\Common\Indexer\$persistenceHandler, and eZ\Publish\Core\Search\Common\Indexer\$searchHandler.

## Member Function Documentation

## ◆ createSearchIndex()

eZ\Publish\Core\Search\Elasticsearch\Content\Indexer::createSearchIndex | ( | OutputInterface | $output,
|  |  | $iterationCount,
|  |  | $commit
| ) |  |
| abstract

Create search engine index.

Parameters

  \Symfony\Component\Console\Output\OutputInterface | $output |
  int | $iterationCount |
  bool | $commit | commit changes after each iteration

Reimplemented in eZ\Publish\Core\Search\Common\IncrementalIndexer.

Definition at line 46 of file Elasticsearch/Content/Indexer.php.

## ◆ getContentDbFieldsStmt()

eZ\Publish\Core\Search\Common\Indexer::getContentDbFieldsStmt | ( | array | $fields | ) |
| protected

Get PDOStatement to fetch metadata about content objects to be indexed.

Parameters

  array | $fields | Select fields

Returns
  \PDOStatement

Definition at line 67 of file Common/Indexer.php.

References eZ\Publish\SPI\Persistence\Content\ContentInfo\STATUS_PUBLISHED.

Referenced by eZ\Publish\Core\Search\Common\IncrementalIndexer\createSearchIndex().

## ◆ getContentLocationIds()

eZ\Publish\Core\Search\Common\Indexer::getContentLocationIds | ( |  | $contentObjectId | ) |
| protected

Fetch location Ids for the given content object.

Parameters

  int | $contentObjectId |

Returns
  array Location nodes Ids

Definition at line 86 of file Common/Indexer.php.

Referenced by eZ\Publish\Core\Search\Elasticsearch\Content\Indexer\indexLocations().

## ◆ logWarning()

eZ\Publish\Core\Search\Common\Indexer::logWarning | ( | ProgressBar | $progress,
|  |  | $message
| ) |  |
| protected

Log warning while progress bar is shown.

Parameters

  \Symfony\Component\Console\Helper\ProgressBar | $progress |
  | $message |

Definition at line 105 of file Common/Indexer.php.

Referenced by eZ\Publish\Core\Search\Elasticsearch\Content\Indexer\indexLocations().

## Member Data Documentation

## ◆ $databaseHandler

eZ\Publish\Core\Search\Common\Indexer::$databaseHandler
| protected

Definition at line 34 of file Common/Indexer.php.

Referenced by eZ\Publish\Core\Search\Legacy\Content\Indexer\__construct(), and eZ\Publish\Core\Search\Common\Indexer\__construct().

## ◆ $logger

eZ\Publish\Core\Search\Common\Indexer::$logger
| protected

Definition at line 28 of file Common/Indexer.php.

Referenced by eZ\Publish\Core\Search\Legacy\Content\Indexer\__construct(), and eZ\Publish\Core\Search\Common\Indexer\__construct().

## ◆ $persistenceHandler

eZ\Publish\Core\Search\Common\Indexer::$persistenceHandler
| protected

Definition at line 31 of file Common/Indexer.php.

Referenced by eZ\Publish\Core\Search\Legacy\Content\Indexer\__construct(), and eZ\Publish\Core\Search\Common\Indexer\__construct().

## ◆ $searchHandler

eZ\Publish\Core\Search\Common\Indexer::$searchHandler
| protected

Definition at line 37 of file Common/Indexer.php.

Referenced by eZ\Publish\Core\Search\Legacy\Content\Indexer\__construct(), and eZ\Publish\Core\Search\Common\Indexer\__construct().

## ◆ CONTENTOBJECT_TABLE

const eZ\Publish\Core\Search\Common\Indexer::CONTENTOBJECT_TABLE = 'ezcontentobject'

Definition at line 24 of file Common/Indexer.php.

## ◆ CONTENTOBJECT_TREE_TABLE

const eZ\Publish\Core\Search\Common\Indexer::CONTENTOBJECT_TREE_TABLE = 'ezcontentobject_tree'

Definition at line 25 of file Common/Indexer.php.

The documentation for this class was generated from the following file:

- Common/Indexer.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.